Andi Fischer | 5 Sep 2010 21:46
Picon

branches/work/soc-umbrello

SVN commit 1171947 by fischer:

Getters from umlobject without get (same as in trunk).

 M  +3683 -21571 models/UmbrelloArchitecture/Overview.xmi  
 M  +17 -17    umbrello/association.cpp  
 M  +1 -1      umbrello/assocrules.cpp  
 M  +15 -15    umbrello/attribute.cpp  
 M  +4 -4      umbrello/checkconstraint.cpp  
 M  +55 -55    umbrello/classifier.cpp  
 M  +8 -8      umbrello/classifiercodedocument.cpp  
 M  +4 -6      umbrello/classifiercodedocument.h  
 M  +4 -4      umbrello/classifierlistitem.cpp  
 M  +22 -22    umbrello/clipboard/umlclipboard.cpp  
 M  +4 -4      umbrello/clipboard/umldragdata.cpp  
 M  +4 -4      umbrello/cmds/cmd_set_stereotype.cpp  
 M  +5 -5      umbrello/cmds/cmd_set_visibility.cpp  
 M  +2 -2      umbrello/cmds/generic/cmd_create_umlobject.cpp  
 M  +4 -4      umbrello/cmds/generic/cmd_rename_umlobject.cpp  
 M  +4 -4      umbrello/cmds/widget/cmd_set_name.cpp  
 M  +41 -41    umbrello/codegenerators/ada/adawriter.cpp  
 M  +30 -30    umbrello/codegenerators/as/aswriter.cpp  
 M  +4 -4      umbrello/codegenerators/codeclassfield.cpp  
 M  +2 -2      umbrello/codegenerators/codeclassfielddeclarationblock.cpp  
 M  +2 -2      umbrello/codegenerators/codedocument.cpp  
 M  +9 -9      umbrello/codegenerators/codegenerator.cpp  
 M  +1 -1      umbrello/codegenerators/codemethodblock.cpp  
 M  +1 -1      umbrello/codegenerators/codeoperation.cpp  
 M  +9 -9      umbrello/codegenerators/codeparameter.cpp  
 M  +2 -2      umbrello/codegenerators/cpp/cppcodeclassfield.cpp  
(Continue reading)

Andi Fischer | 7 Sep 2010 21:03
Picon

branches/work/soc-umbrello/umbrello

SVN commit 1172668 by fischer:

Same as in trunk.

 M  +1 -1      Messages.sh  

--- branches/work/soc-umbrello/umbrello/Messages.sh #1172667:1172668
 <at>  <at>  -1,5 +1,5  <at>  <at> 
 #! /bin/sh
 #$PREPARETIPS > tips.cpp
-$EXTRACTRC *.rc `find . -name \*.ui` >> ./rc.cpp || exit 11
+$EXTRACTRC *.rc `find . -name \*.ui` *.kcfg >> ./rc.cpp || exit 11
 $XGETTEXT `find . -name \*.h -o -name \*.cpp` -o $podir/umbrello.pot
 rm -f tips.cpp rc.cpp

------------------------------------------------------------------------------
This SF.net Dev2Dev email is sponsored by:

Show off your parallel programming skills.
Enter the Intel(R) Threading Challenge 2010.
http://p.sf.net/sfu/intel-thread-sfd
Andi Fischer | 7 Sep 2010 22:46
Picon

KDE/kdesdk/umbrello/umbrello/codeimport

SVN commit 1172689 by fischer:

Krazy issue fixed. More debug info added.

 M  +9 -2      javaimport.cpp  

--- trunk/KDE/kdesdk/umbrello/umbrello/codeimport/javaimport.cpp #1172688:1172689
 <at>  <at>  -465,7 +465,8  <at>  <at> 
     // of an operation.) Up next is the name of the attribute
     // or operation.
     if (! keyword.contains( QRegExp("^\\w") )) {
-        uError() << "importJava: ignoring " << keyword;
+        uError() << "importJava: ignoring " << keyword <<
+            " at " << m_srcIndex << ", " << m_source.count() << " in " << m_klass->name();
         return false;
     }
     QString typeName = m_source[m_srcIndex];
 <at>  <at>  -561,7 +562,7  <at>  <at> 
                 name += nextToken;  // add possible array dimensions to `name'
             }
             nextToken = advance();
-            if (nextToken == QString()) {
+            if (nextToken.isEmpty()) {
                 break;
             }
         }
 <at>  <at>  -586,10 +587,16  <at>  <at> 
     }
     // reset visibility to default
     m_currentAccess = m_defaultCurrentAccess;
(Continue reading)

Andi Fischer | 7 Sep 2010 22:46
Picon

branches/work/soc-umbrello/umbrello/codeimport

SVN commit 1172691 by fischer:

Krazy issue fixed.

 M  +1 -1      javaimport.cpp  

--- branches/work/soc-umbrello/umbrello/codeimport/javaimport.cpp #1172690:1172691
 <at>  <at>  -562,7 +562,7  <at>  <at> 
                 name += nextToken;  // add possible array dimensions to `name'
             }
             nextToken = advance();
-            if (nextToken == QString()) {
+            if (nextToken.isEmpty()) {
                 break;
             }
         }

------------------------------------------------------------------------------
This SF.net Dev2Dev email is sponsored by:

Show off your parallel programming skills.
Enter the Intel(R) Threading Challenge 2010.
http://p.sf.net/sfu/intel-thread-sfd
Kip Warner | 9 Sep 2010 04:22
Favicon
Gravatar

Shrunk Association Name

Hey Andi & List,

I'm not sure when this started happening, or if it was due to a recent
commit, but all association names are shrunk to small boxes and can
neither autofit their contents, nor be manually resized. Here's a
sample:

https://www.avaneya.com/temp/design/AresEngine.xmi.bz2

Can anyone confirm at their end?

--

-- 
Kip Warner -- Software Engineer
OpenPGP encrypted/signed mail preferred
http://www.thevertigo.com
------------------------------------------------------------------------------
This SF.net Dev2Dev email is sponsored by:

Show off your parallel programming skills.
Enter the Intel(R) Threading Challenge 2010.
http://p.sf.net/sfu/intel-thread-sfd
_______________________________________________
Uml-devel mailing list
Uml-devel <at> lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/uml-devel
Andi Fischer | 13 Sep 2010 09:42
Picon

branches/work/soc-umbrello/umbrello

SVN commit 1174678 by fischer:

UMLRole getters without get. Krazy issue with const fixed.

 M  +8 -8      association.cpp  
 M  +2 -2      classifiercodedocument.cpp  
 M  +2 -2      cmds/widget/cmd_changeMulti.cpp  
 M  +8 -8      codegenerators/codeclassfield.cpp  
 M  +2 -2      codegenerators/codeparameter.cpp  
 M  +1 -1      codegenerators/d/dcodeclassfielddeclarationblock.cpp  
 M  +1 -1      codegenerators/java/javacodeclassfielddeclarationblock.cpp  
 M  +2 -2      codegenerators/ownedcodeblock.cpp  
 M  +1 -1      codegenerators/ownedhierarchicalcodeblock.cpp  
 M  +1 -1      codegenerators/ruby/rubycodeclassfielddeclarationblock.cpp  
 M  +2 -2      dialogs/umlroleproperties.cpp  
 M  +1 -1      umlobject.cpp  
 M  +1 -1      umlobject.h  
 M  +30 -24    umlrole.cpp  
 M  +9 -28     umlrole.h  

http://websvn.kde.org/?view=rev&revision=1174678

------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing
http://p.sf.net/sfu/novell-sfdev2dev
Christoph Feck | 13 Sep 2010 12:34
Picon

[Bug 207690] Umbrello segfaults when attempting to rename class in Ubuntu Karmic Alpha 5 (QUndoCommand::text, QUndoStack::undoText, QUndoStackPrivate::setIndex)

https://bugs.kde.org/show_bug.cgi?id=207690

Christoph Feck <christoph <at> maxiom.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |b.durai <at> yahoo.co.in

--- Comment #5 from Christoph Feck <christoph maxiom de>  2010-09-13 12:34:30 ---
*** Bug 245286 has been marked as a duplicate of this bug. ***

--

-- 
Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing
http://p.sf.net/sfu/novell-sfdev2dev
Christoph Feck | 13 Sep 2010 12:34
Picon

[Bug 245286] umbrello crashes on redo

https://bugs.kde.org/show_bug.cgi?id=245286

Christoph Feck <christoph <at> maxiom.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
         Resolution|                            |DUPLICATE

--- Comment #1 from Christoph Feck <christoph maxiom de>  2010-09-13 12:34:30 ---

*** This bug has been marked as a duplicate of bug 207690 ***

--

-- 
Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing
http://p.sf.net/sfu/novell-sfdev2dev
Christoph Feck | 13 Sep 2010 12:35
Picon

[Bug 207690] Umbrello segfaults when attempting to rename class in Ubuntu Karmic Alpha 5 (QUndoCommand::text, QUndoStack::undoText, QUndoStackPrivate::setIndex)

https://bugs.kde.org/show_bug.cgi?id=207690

Christoph Feck <christoph <at> maxiom.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |mehmedb <at> gmail.com

--- Comment #6 from Christoph Feck <christoph maxiom de>  2010-09-13 12:35:09 ---
*** Bug 229635 has been marked as a duplicate of this bug. ***

--

-- 
Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing
http://p.sf.net/sfu/novell-sfdev2dev
Christoph Feck | 13 Sep 2010 12:35
Picon

[Bug 229635] umbrello crashes when several undo-redo made

https://bugs.kde.org/show_bug.cgi?id=229635

Christoph Feck <christoph <at> maxiom.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
         Resolution|                            |DUPLICATE

--- Comment #1 from Christoph Feck <christoph maxiom de>  2010-09-13 12:35:08 ---

*** This bug has been marked as a duplicate of bug 207690 ***

--

-- 
Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

------------------------------------------------------------------------------
Start uncovering the many advantages of virtual appliances
and start using them to simplify application deployment and
accelerate your shift to cloud computing
http://p.sf.net/sfu/novell-sfdev2dev

Gmane